Compatible devices 2017-09-12T18:50:14+00:00

Edru App requires a high processing power to provide a quality real time ebru experience. To run Edru, you’ll need a device with at least Android 4.4 KitKat installed and hardware compatible with, at least, OpenGL 3.0. Although, we recommend a quad core CPU and a Snapdragon 530 GPU, or higher, for the best experience.